Next Previous Contents

## 3.50 em_copyto

> Function

>   Copy from normal into extended memory.

> Header

>   `em.h`

> Declaration

>   `void __fastcall__ em_copyto (const struct em_copy* copy_data);`

> Description

>   Copy data from linear into extended memory. Source and target addresses as well as the number of bytes to transfer are specified in the `em_copy` structure that is passed as a parameter.

> Limits

>   - Calling `em_copyto` will invalidate the memory window, so if you made any changes to the data in the window, call `em_commit` first, or the changes are lost.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - The function produces undefined results if no extended memory driver is loaded.
> Availability

>   cc65

> See also

>   em_commit, em_copyfrom, em_load_driver

> Example

>   None.

Next Previous Contents